aboutsummaryrefslogtreecommitdiff
path: root/etc/bigloo/autoconf/gmaketest
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bigloo/autoconf/gmaketest')
-rwxr-xr-xetc/bigloo/autoconf/gmaketest38
1 files changed, 38 insertions, 0 deletions
diff --git a/etc/bigloo/autoconf/gmaketest b/etc/bigloo/autoconf/gmaketest
new file mode 100755
index 0000000..1bedd72
--- /dev/null
+++ b/etc/bigloo/autoconf/gmaketest
@@ -0,0 +1,38 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/bigloo/autoconf/gmaketest */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Thu Jan 14 10:31:33 1999 */
+#* Last change : Thu May 18 07:19:28 2000 (serrano) */
+#* ------------------------------------------------------------- */
+#* Checsk that Make is GNU make */
+#*=====================================================================*/
+
+#*---------------------------------------------------------------------*/
+#* flags */
+#*---------------------------------------------------------------------*/
+make=make
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+
+ --make=*)
+ make="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+# Check the make version number
+$make -v --version | grep -i "gnu make" > /dev/null
+
+# Return the grep result
+exit $?